Subject: Re: bug#51733: 27.1; Detect impossible email addresses better

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jan 2022 15:06:30 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Robert Pluim <[email-masked]>,  [email-masked]
> Date: Wed, 19 Jan 2022 14:02:56 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Is that expectation reasonable?  I can show you many email addresses
> > that violate that.
> 
> It depends on what you mean.  There are no valid email addresses that
> have non-ASCII name parts -- when we're talking wire format (RFC2047
> etc), which is what that function is parsing.
> 
> But displayed email addresses may have any characters, of course.

I _am_ talking about the displayed format.  It would be better if
textsec supported those as well, because they are ubiquitous in
Emacs.  E.g., what if someone sends me a citation from someone else's
email, and I want to textsec-check that citation?  Chances are the
citation will not include RFC2047 encoded addresses.